Page MenuHomePhabricator

Additions to WQS autocompletion
Closed, ResolvedPublic

Description

Please add

hint:Query hint:optimizer "None" .

to the auto-completion of Wikidata Query Service.

The compact form below would be helpful as well:

	SERVICE wikibase:label { bd:serviceParam wikibase:language "en" }

Details

Related Gerrit Patches:

Event Timeline

Esc3300 created this task.Nov 17 2016, 1:03 PM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptNov 17 2016, 1:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 5 2016, 3:44 PM

The second part is done: thanks. Remains the first one.

Lydia_Pintscher moved this task from ready to go to consider for next sprint on the Wikidata board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 20 2017, 6:24 PM

As always gerrit-bot fails to add when the patch is uploaded: https://gerrit.wikimedia.org/r/343692

Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.Mar 20 2017, 6:34 PM

Change 343692 merged by jenkins-bot:
[wikidata/query/gui] Add auto-completion for disabling join order optimizer

https://gerrit.wikimedia.org/r/343692

Change 343707 had a related patch set uploaded (by Smalyshev):
[wikidata/query/gui-deploy] Merging from f6c57d515433de586109f6661bb0c0a258a7ebce:

https://gerrit.wikimedia.org/r/343707

Change 343707 merged by Smalyshev:
[wikidata/query/gui-deploy] Merging from f6c57d515433de586109f6661bb0c0a258a7ebce:

https://gerrit.wikimedia.org/r/343707

Jonas closed this task as Resolved.Mar 22 2017, 10:59 AM

When will this be live?

Should be on Monday evening (UTC)

Works. Thanks!

Reminds me that I mainly know SPARQL thanks to (and with) Autocomplete !